﻿using System.Activities.Presentation.Validation;
using System.Collections;
using System.Collections.Generic;

namespace CustomWorkflowDesigner
{
    public class ValidationErrorService : IValidationErrorService
    {
        private IList _errorList;
        public ValidationErrorService(IList errorList)
        {
            _errorList = errorList;
        }

        public void ShowValidationErrors(IList<ValidationErrorInfo> errors)
        {
            _errorList.Clear();
            foreach (var error in errors)
            {
                _errorList.Add(error.Message);
            }
        }
    }
}
